Bug 248279 - [NEW PORT] x11/xmenu: X11 menu utility
Summary: [NEW PORT] x11/xmenu: X11 menu utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/phillbush/xmenu
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-26 16:01 UTC by Lewis Cook
Modified: 2020-09-04 00:26 UTC (History)
0 users

See Also:


Attachments
xmenu-3.4.diff (3.95 KB, patch)
2020-07-26 16:01 UTC, Lewis Cook
no flags Details | Diff
xmenu-4.3.1.diff (3.97 KB, patch)
2020-08-31 13:02 UTC, Lewis Cook
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_committer freebsd_triage 2020-07-26 16:01:37 UTC
Created attachment 216781 [details]
xmenu-3.4.diff

XMenu receives a menu specification in stdin,
shows a menu for the user to select one of the
options, and outputs the option selected to stdout.
XMenu can be controlled both via mouse and via
keyboard. The menu is a pop-up menu (that is,
after selecting an option, the menu disappears).

WWW: https://github.com/phillbush/xmenu

QA:

 * portlint: OK (no LICENSE in repository, else looks fine).
 * testport: OK (poudriere: 12.1-RELEASE-p7, amd64).
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2020-08-31 13:02:13 UTC
Created attachment 217671 [details]
xmenu-4.3.1.diff

* Update to 4.3.1 and define LICENSE
Comment 2 commit-hook freebsd_committer 2020-09-04 00:25:30 UTC
A commit references this bug:

Author: swills
Date: Fri Sep  4 00:25:12 UTC 2020
New revision: 547491
URL: https://svnweb.freebsd.org/changeset/ports/547491

Log:
  x11/xmenu: create port

  XMenu is a menu utility for X. XMenu receives a menu specification in stdin,
  shows a menu for the user to select one of the options, and outputs the option
  selected to stdout. XMenu can be controlled both via mouse and via keyboard.

  WWW: https://github.com/phillbush/xmenu

  PR:		248279
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/x11/Makefile
  head/x11/xmenu/
  head/x11/xmenu/Makefile
  head/x11/xmenu/distinfo
  head/x11/xmenu/files/
  head/x11/xmenu/files/patch-Makefile
  head/x11/xmenu/pkg-descr
Comment 3 Steve Wills freebsd_committer 2020-09-04 00:26:58 UTC
Committed, thanks!